/*****************************************************************************/
//                       Space for your light effects:
/*****************************************************************************/
// Only inside Void Loop() you are allowed to design your light effects !!
// ( If you like to program a new pattern or sequences, refer to sequences.ino)
/*****************************************************************************/
// Parameter: Colors are defined by the additive RGB color model. 
//            n = LED No on rigger 
//            r = red    ( max. 127)
//            g = green  ( max. 127)
//            b = blue   ( max. 127)
//            dly = delay ( typical: 10 - 50 ) 
//            cyl = cyles ( how many times this sequence will repeat )
//            riX = rigger to set pixel / to show sequence on (x= number of  rigger)
/*****************************************************************************/
/*****************************************************************************/
void loop() {
  clearstrip ();
 
  // police(dly,cyl,ri1, ri2, ri3, ri4, ri5, ri6, ri7, ri8);
  police(110,1,1,0,0,1,0,0,0,0);
  police(110,1,0,1,0,0,1,0,0,0);
  police(110,1,0,0,1,0,0,1,0,0);
  police(110,1,1,0,0,1,0,0,0,0);
  police(110,1,1,0,1,0,1,0,0,0);
  police(110,1,0,1,0,1,0,1,0,0);
  police(110,1,1,0,1,0,1,0,0,0);
updateStripConfig (3, 20);
  police(110,6,1,1,1,1,1,1,0,0);
updateStripConfig (1, 60);
  police(110,4,1,1,1,1,1,1,0,0);
updateStripConfig (6, 10);

 // rainbowCycle(dly, cyl, ri1, ri2, ri3, ri4, ri5, ri6, ri7, ri8)
  clearstrip ();
  rainbowCycle(0,5,0,1,0,1,0,1,0,0); // make it go through the cycle fairly fast
  clearstrip ();
  rainbowCycle(0,5,1,0,1,0,1,0,0,0); // make it go through the cycle fairly fast
  clearstrip ();
  rainbowCycle(0,5,1,1,1,1,1,1,0,0); // make it go through the cycle fairly fast
updateStripConfig (1, 60);
  rainbowCycle(0,4,1,1,1,1,1,1,0,0); // make it go through the cycle fairly fast
updateStripConfig (2, 30);
  rainbowCycle(0,4,1,1,1,1,1,1,0,0); // make it go through the cycle fairly fast
updateStripConfig (3, 20);
  rainbowCycle(0,4,1,1,1,1,1,1,0,0); // make it go through the cycle fairly fast
updateStripConfig (4, 10);

  // scanner(r,g,b,dly,ri1, ri2, ri3, ri4, ri5, ri6, ri7, ri8)
  scanner(127,52,0, 50,1,1,1,1,1,1,0,0); // orange, fast

 // rainbowCycleALL(dly, cyl, ri1, ri2, ri3, ri4, ri5, ri6, ri7, ri8)
  rainbowCycleAll(1,4,1,1,1,1,1,1,0,0); // make it go through the cycle fairly fast


}
/*****************************************************************************/

